#### D.4.8.5 evaluateIntegral

Procedure from library `ellipticcovers.lib` (see ellipticcovers_lib).

Usage:
  evaluateIntegral(P,xx); P number, xx list

Assume:
  P is a number in a rational function field, xx is a list of variables of the field

Return:
  number, the constant coefficient of the Laurent series of f in the variables in the list xx.

Theory:
  Computes the constant coefficient of the Laurent series iteratively for the elements of xx.

  In the setting of covers of elliptic curves this is the path integral over the propagator divided by the product of all variables (corresponding to the vertices) computed as a residue.

Example:

    LIB "ellipticcovers.lib";
    ring R=(0,x1,x2,x3,x4),(q1,q2,q3,q4,q5,q6),dp;
    graph G = makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    number p = propagator(G,list(0,2,1,0,0,1));
    evaluateIntegral(p,list(x1,x3,x4,x2));
    ==> 128

User manual for Singular version 4.4.1, 2025, generated by texi2html.